<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUserLevelsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user_levels', function (Blueprint $table) {
            $table->increments('id');

            $table->string('name')->index();
            $table->text('trans_name')->nullable();
            $table->text('content')->nullable();
            $table->text('trans_content')->nullable();

            $table->boolean('partner_provision')->default(false);

            $table->tinyInteger('pos')->unsigned()->nullable();
            $table->boolean('active')->default(false);



            $table->timestamps();

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user_levels');
    }
}
